package com.sunxung.factoring.entity.salescontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * --销售合同审核人员信息历史表
 * </p>
 *
 * @author liutao
 * @since 2023-05-16
 */
@TableName("sales_contract_approval_person_info_history_ref")
public class SalesContractApprovalPersonInfoHistoryRef extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 销售合同审核Id
     */
    @TableField("sales_contract_approval_id")
    private Long salesContractApprovalId;

    /**
     * 用户名
     */
    @TableField("name")
    private String name;

    /**
     * 人员类型
     */
    @TableField("type")
    private String type;

    /**
     * 联系电话
     */
    @TableField("mobile")
    private String mobile;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    public Long getSalesContractApprovalId() {
        return salesContractApprovalId;
    }

    public void setSalesContractApprovalId(Long salesContractApprovalId) {
        this.salesContractApprovalId = salesContractApprovalId;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return "SalesContractApprovalPersonInfoHistoryRef{" +
            "salesContractApprovalId=" + salesContractApprovalId +
            ", name=" + name +
            ", type=" + type +
            ", mobile=" + mobile +
            ", remark=" + remark +
        "}";
    }
}
